title image


Smiley Catia V5 Bohrungen
Wie kann ich Bohrungen und Senkunken erzeugen? Ich möchte folgende Vorgehensweise:



Für Platte:





1. Kante anklicken, 2. Kante anklicken, Fläche selektieren von wo aus die Senkung oder Bohrung eingebracht werden soll, Größe auswählen und die beiden Abstände eintragen.





Wiemuss ich da vorgehen?





Danke





Georg



Anbei ein Makro. Allerdings ohne Abfrage der Bezugskanten und Abstände.





Language="VBSCRIPT"



Sub CATMain()



Set partDocument1 = CATIA.ActiveDocument



Set part1 = partDocument1.Part



Set shapeFactory1 = part1.ShapeFactory



Set bodies1 = part1.Bodies



Set body1 = bodies1.Item("Hauptkörper")



Set shapes1 = body1.Shapes



Set pad1 = shapes1.Item("Block.1")



Eingabe1 = InputBox ("Bitte geben Sie den 1. Abstand ein", "1.

Abstand",Eingabe1)



 



Eingabe2 = InputBox ("Bitte geben Sie den 2. Abstand ein", "2.

Abstand",Eingabe2)



Set reference1 =

part1.CreateReferenceFromBRepName("FEdge:(Edge:(Face:(Brp:(Pad.1;0:(Brp:(Ske

tch.1;3)));None:();Cf9:());Face:(Brp:(Pad.1;2);None:();Cf9:());None:(Limits1

:();Limits2:());Cf9:());WithTemporaryBody;WithoutBuildError;WithInitialFeatu

reSupport;MFBRepVersion_CXR13_GA)", pad1)



 



Set reference2 =

part1.CreateReferenceFromBRepName("FEdge:(Edge:(Face:(Brp:(Pad.1;0:(Brp:(Ske

tch.1;2)));None:();Cf9:());Face:(Brp:(Pad.1;2);None:();Cf9:());None:(Limits1

:();Limits2:());Cf9:());WithTemporaryBody;WithoutBuildError;WithInitialFeatu

reSupport;MFBRepVersion_CXR13_GA)", pad1)

 



Set reference3 =

part1.CreateReferenceFromBRepName("FSur:(Face:(Brp:(Pad.1;2);None:();Cf9:())

;WithTemporaryBody;WithoutBuildError;WithInitialFeatureSupport;MonoFond;MFBR

epVersion_CXR13_GA)", pad1)



 



Set hole1 = shapeFactory1.AddNewHoleWith2Constraints(Eingabe1, Eingabe2, 0,

reference1, reference2, reference3,10)



hole1.Type = catCounterboredHole



hole1.AnchorMode = catExtremPointHoleAnchor



hole1.BottomType = catTrimmedHoleBottom



Set limit1 = hole1.BottomLimit



limit1.LimitMode = catUpToLastLimit



Set length1 = hole1.Diameter



length1.Value = 11.000000



Set length2 = hole1.HeadDiameter



length2.Value = 15.000000



Set length3 = hole1.HeadDepth



length3.Value = 4.800000



hole1.ThreadingMode = catSmoothHoleThreading



hole1.ThreadSide = catRightThreadSide



length1.Value = 6.600000



length2.Value = 11.000000



part1.Update



End Sub


OpenSuse 10.3; KDE 3.5.8; Kernel 2.6.24



geschrieben von

Login

E-Mail:
  

Passwort:
  

Beitrag anfügen

Symbol:
 
 
 
 
 
 
 
 
 
 
 
 
 

Überschrift: